Bug 219235 - databases/mariadb101-server: Update MDEV-12281 Patch - also patch XtraDB and not just InnoDB
Summary: databases/mariadb101-server: Update MDEV-12281 Patch - also patch XtraDB and ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-12 10:08 UTC by Dani I.
Modified: 2017-05-30 07:57 UTC (History)
0 users

See Also:
brnrd: maintainer-feedback+


Attachments
Update patch-MDEV-12281 and bump portrev (1.11 KB, patch)
2017-05-12 10:08 UTC, Dani I.
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dani I. 2017-05-12 10:08:18 UTC
Created attachment 182541 [details]
Update patch-MDEV-12281 and bump portrev

We already applied an upstream patch for 10.1.23, to fix a problem with InnoDB crashing. (patch-MDEV-12281 -> see PR #219045) The fix just patched InnoDB and forgot about XtraDB, which is also needed to run 10.1.23 stable without crashing.

See: https://jira.mariadb.org/browse/MDEV-12281

After adding the patch for XtraDB, MariaDB is finally running stable without crashing.

For this reason we update the patch for FreeBSD and bump the portrevision, to rebuild and make sure the correct version gets installed.

See patch attached. (Successfully built and tested on FBSD 10.3)
Comment 1 Bernard Spil freebsd_committer 2017-05-20 18:53:17 UTC
Thanks for the patch!
Comment 2 commit-hook freebsd_committer 2017-05-20 20:30:48 UTC
A commit references this bug:

Author: brnrd
Date: Sat May 20 20:30:25 UTC 2017
New revision: 441333
URL: https://svnweb.freebsd.org/changeset/ports/441333

Log:
  databases/mariadb101-server: Fix crash in XtraDB

   - Apply crash patch to XtraDB (not only InnoDB)
   - Bump port-revision

  PR:		219235
  Submitted by:	Dani <i.dani@outlook.com>

Changes:
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb101-server/files/patch-MDEV-12281
Comment 3 commit-hook freebsd_committer 2017-05-30 07:57:17 UTC
A commit references this bug:

Author: brnrd
Date: Tue May 30 07:56:31 UTC 2017
New revision: 442052
URL: https://svnweb.freebsd.org/changeset/ports/442052

Log:
  MFH: r441333

  databases/mariadb101-server: Fix crash in XtraDB

   - Apply crash patch to XtraDB (not only InnoDB)
   - Bump port-revision

  PR:		219235
  Submitted by:	Dani <i.dani@outlook.com>

  Approved by:	ports-secteam (woodsb02)

Changes:
_U  branches/2017Q2/
  branches/2017Q2/databases/mariadb101-server/Makefile
  branches/2017Q2/databases/mariadb101-server/files/patch-MDEV-12281